<template>
  <div class="account">
    <div class="container">
      <br>
      <div class="tabsPanel">

        <tabs @logOutFromTab="logOut()">
          <tab name="Personal info" :selected="true">
            <personal-info></personal-info>
          </tab>
          <tab name="Deposit money">
            <DepositMoney></DepositMoney>
          </tab>
          <tab name="Withdraw">
            <Withdraw></Withdraw>
          </tab>
          <tab name="Bonuses">
            <Bonuses></Bonuses>
          </tab>
          <tab name="VIP">
            <VIP></VIP>
          </tab>
          <tab name="Transaction history">
            <TransactionHistory></TransactionHistory>
          </tab>
          <tab name="Responsible gaming">
            <ResponsibleGaming></ResponsibleGaming>
          </tab>
        </tabs>

        <!--<h1>vuex</h1>-->
        <!--<h3>Users in $state of module 'user': {{ watchTheUser }}</h3>-->
        <!--<h2>Users in module 'user' by getter (*10) of vueX: {{ watchTheUserInGetter }}</h2>-->
        <!--<h5>click: {{ click }}</h5>-->
        <!--<div class="nav__buttons buttons_this_comp_style">-->
          <!--<button-->
            <!--@click="updateUsers(-1)"-->
            <!--type="button"-->
            <!--name="Log"-->
            <!--class="btn btn&#45;&#45;withBtn btn&#45;&#45;ghostWhite btn_this_comp_style"-->
          <!--&gt;-->
            <!--users-->
            <!--<span class="btn-in-btn mark">-</span>-->
          <!--</button>-->
          <!--<button-->
            <!--@click="updateUsers(1)"-->
            <!--type="button"-->
            <!--name="Reg"-->
            <!--class="btn btn&#45;&#45;withBtn btn&#45;&#45;ghostWhite btn_this_comp_style"-->
          <!--&gt;-->
            <!--users-->
            <!--<span class="btn-in-btn mark">+</span>-->
          <!--</button>-->
        <!--</div>-->

      </div>
    </div>
  </div>
</template>

<script>
	import Tabs from '@/components/Account/Tabs';
	import Tab from '@/components/Account/Tab';
	import PersonalInfo from '@/components/Account/list/PersonalInfo';
	import DepositMoney from '@/components/Account/list/DepositMoney';
	import Withdraw from '@/components/Account/list/Withdraw';
	import Bonuses from '@/components/Account/list/Bonuses';
	import VIP from '@/components/Account/list/VIP';
	import TransactionHistory from '@/components/Account/list/TransactionHistory';
	import ResponsibleGaming from '@/components/Account/list/ResponsibleGaming';
	import call from '@/services/callService';
	import {mapGetters, mapActions, mapMutations} from 'vuex';
	// TODO: Clear test data
	export default {
		name: "Account",
		data() {
			return {
				newBoolean: true,
				newVar: "",
				currentLang: {
					name: "En"
				},
				langs: [{name: "En"}, {name: "Sk"}, {name: "Ua"}]
			};
		},


		methods: {
			...mapActions(['ASYNC_CHANGE_USER']),
			...mapMutations(['RESET_USER', 'RESET_SESSION']),
			updateLang(val) {
				this.currentLang = val;
			},
			updateUsers(valData) {
				return this.ASYNC_CHANGE_USER({
					usersValue: valData,
					myTimer: 1000
				});
			},
			logOut() {
				if (this.sessionInfo.isAuthenticated) {
					call.userLogout();
					this.RESET_USER();
					this.RESET_SESSION();
					this.$router.push('/');
				} else {
					console.log('not found session');
					this.$router.push('/');
				}
			}
		},


		computed: {
			...mapGetters({
				sessionInfo: 'getSessionInfo'
			}),
			watchTheUser() {
				return this.$store.getters.registredUser;
			},
			watchTheUserInGetter() {
				return this.$store.getters.computedUsersTo10;
			},
			click() {
				return this.$store.state.clicks
			}
		},

		components: {
			Tabs,
			Tab,
			PersonalInfo,
			DepositMoney,
			Withdraw,
			Bonuses,
			VIP,
			TransactionHistory,
			ResponsibleGaming
		},

		watch: {},
		mounted() {
		},
		created() {
		},
		destroyed() {
		}
	}
</script>

<style lang="sass" scoped>
  .account
    background-color: #F3F4F5

    .mark
      color: black

    .buttons_this_comp_style
      display: flex
      justify-content: center

    .btn_this_comp_style
      margin: 25px 10px 5px

</style>
